org.keycloak.dom.saml.v1.assertion

## Class SAML11AssertionType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonAssertionType
  - - org.keycloak.dom.saml.v1.assertion.SAML11AssertionType

- All Implemented Interfaces:
    Serializable

      public class SAML11AssertionType
      extends CommonAssertionType

  Since:
    Jun 21, 2011
  Author:
    Anil.Saldhana@redhat.com
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SAML11AdviceType` | `advice`
    `protected SAML11ConditionsType` | `conditions`
    `protected String` | `issuer`
    `protected int` | `majorVersion`
    `protected int` | `minorVersion`
    `protected Element` | `signature`
    `protected List<SAML11StatementAbstractType>` | `statements`

    - ### Fields inherited from class org.keycloak.dom.saml.common.CommonAssertionType

      `ID, issueInstant`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML11AssertionType(String iD, XMLGregorianCalendar issueInstant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(SAML11StatementAbstractType statement)`
    `void` | `addAllStatements(List<SAML11StatementAbstractType> statement)`
    `SAML11AdviceType` | `getAdvice()`
    `SAML11ConditionsType` | `getConditions()`
    `String` | `getIssuer()`
    `int` | `getMajorVersion()`
    `int` | `getMinorVersion()`
    `Element` | `getSignature()`
    `List<SAML11StatementAbstractType>` | `getStatements()`
    `boolean` | `remove(SAML11StatementAbstractType statement)`
    `void` | `setAdvice(SAML11AdviceType advice)`
    `void` | `setConditions(SAML11ConditionsType conditions)`
    `void` | `setIssuer(String issuer)`
    `void` | `setSignature(Element signature)`

    - ### Methods inherited from class org.keycloak.dom.saml.common.CommonAssertionType

      `getID, getIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### majorVersion

          protected int majorVersion

    - #### minorVersion

          protected int minorVersion

    - #### conditions

          protected SAML11ConditionsType conditions

    - #### advice

          protected SAML11AdviceType advice

    - #### statements

          protected List<SAML11StatementAbstractType> statements

    - #### signature

          protected Element signature

    - #### issuer

          protected String issuer

  - ### Constructor Detail

    - #### SAML11AssertionType

          public SAML11AssertionType(String iD,
                                     XMLGregorianCalendar issueInstant)

  - ### Method Detail

    - #### getMajorVersion

          public int getMajorVersion()

    - #### getMinorVersion

          public int getMinorVersion()

    - #### add

          public void add(SAML11StatementAbstractType statement)

    - #### addAllStatements

          public void addAllStatements(List<SAML11StatementAbstractType> statement)

    - #### remove

          public boolean remove(SAML11StatementAbstractType statement)

    - #### getStatements

          public List<SAML11StatementAbstractType> getStatements()

    - #### getConditions

          public SAML11ConditionsType getConditions()

    - #### setConditions

          public void setConditions(SAML11ConditionsType conditions)

    - #### getAdvice

          public SAML11AdviceType getAdvice()

    - #### setAdvice

          public void setAdvice(SAML11AdviceType advice)

    - #### getSignature

          public Element getSignature()

    - #### setSignature

          public void setSignature(Element signature)

    - #### getIssuer

          public String getIssuer()

    - #### setIssuer

          public void setIssuer(String issuer)

Copyright © 2020 JBoss by Red Hat. All rights reserved.